import mi_debugger_final
debugger=mi_debugger_final.debugger()
pid=raw_input("introduzca el PID del proceso a asociar: ")
debugger.attach(int(pid))
list=debugger.enumerate_threads()
print list
for thread in list:
    thread_context=debugger.get_thread_context(thread)
    print "[*] Dump de los registros para el thread con el ID 0x%08x"%thread
    print "[**] EIP: 0x%08x"%thread_context.Eip
    print "[**] ESP: 0x%08x"%thread_context.Esp
    print "[**] EBP: 0x%08x"%thread_context.Ebp
    print "[**] EAX: 0x%08x"%thread_context.Eax
    print "[**] EBX: 0x%08x"%thread_context.Ebx
    print "[**] ECX: 0x%08x"%thread_context.Ecx
    print "[**] EDX: 0x%08x"%thread_context.Edx
    print "[*] fin del DUMP"

debugger.detach()